Subject: RE: [Question] worktree vs. gitdir in [includeIf]

From: "Randall S. Becker" <[email-masked]>
Date: Mon, 12 Jul 2021 18:22:22 -0400

On July 8, 2021 2:12 PM,  Junio C Hamano wrote:
>Subject: Re: [Question] worktree vs. gitdir in [includeIf]
>"Randall S. Becker" <[email-masked]> writes:
>
>> I am wondering whether there is, or are plans for, something analogous
>> to [includeIf "worktree:path"] with a similar semantic to [includeIf
>> "gitdir:path"].
>
>I do not think there currently is an implementation, nor a plan, but I offhand do not see downsides in a feature to let you
conditionally
>enable some configuration based on the location of the worktree.

I have a patch set available, but am having some issues convincing the combination of git, OpenSSL, and my ISP to talk to each
other. Specifically, I'm getting "ssl3_get_record:wrong version number", on every system I'm using. Probably an operator error. I
might have to manually post the patch files.